Get real-time VPS status from Proxmox
curl --request GET \
--url https://api.storiza.store/vps/{vmId}/status \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.storiza.store/vps/{vmId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.storiza.store/vps/{vmId}/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"message": "VPS status retrieved successfully",
"data": {
"status": "<string>",
"resources": {
"status": "<string>",
"uptime": 123,
"cpu": 123,
"memory": 123,
"maxMemory": 123,
"disk": 123,
"maxDisk": 123,
"netIn": 123,
"netOut": 123
},
"isActive": true,
"error": "<string>"
}
}Server power & commands
Get real-time VPS status from Proxmox
Returns the live resource usage (CPU, memory, disk, network) of an active VPS from the hypervisor. For inactive VPS, or when the hypervisor is unreachable, resources is null and isActive is false.
Required API key permission: vps:read
GET
/
vps
/
{vmId}
/
status
Get real-time VPS status from Proxmox
curl --request GET \
--url https://api.storiza.store/vps/{vmId}/status \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.storiza.store/vps/{vmId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.storiza.store/vps/{vmId}/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"message": "VPS status retrieved successfully",
"data": {
"status": "<string>",
"resources": {
"status": "<string>",
"uptime": 123,
"cpu": 123,
"memory": 123,
"maxMemory": 123,
"disk": 123,
"maxDisk": 123,
"netIn": 123,
"netOut": 123
},
"isActive": true,
"error": "<string>"
}
}Authorizations
An API key from the Storiza dashboard (API & Integrations), sent as Authorization: Bearer stz_….
Path Parameters
Minimum string length:
1Was this page helpful?